﻿@{
    ViewBag.Title = "Mes opérations";
}
<h2>@ViewBag.Title</h2>
<h3>@ViewBag.Message</h3>

<div id="pageOperations">
    <table class="table">
        <thead>
            <tr>
                <th scope="col">
                    <img src="@Url.Content("~/Images/des2.png")" style="width:20px;height:20px;cursor:pointer" data-bind="click : GenererOperation" title="Générer une opération aléatoire" />
                </th>
                <th scope="col">Date</th>
                <th scope="col">Libelle</th>
                <th scope="col">Credit</th>
                <th scope="col">Debit</th>
                <th scope="col">Carte</th>
            </tr>
        </thead>
        <tbody>
            <!-- ko template: { name: 'templateLigneOperation' , foreach:Operations} -->
            <!-- /ko -->
        </tbody>
    </table>
</div>

<script type="text/html" id="templateLigneOperation">

    <tr data-bind="css{ligne-grise : _carte().Supprimee()}">
        <td></td>
        <td>
            <span data-bind="text: Date" style="font-weight:bold" />
        </td>
        <td>
            <span data-bind="text: Libelle" />
        </td>
        <td>
            <!-- ko if: Sens() == 1 -->
            <span data-bind="text: _montant" style="font-weight:bold;float:right" />
            <!-- /ko -->
        </td>
        <td>
            <!-- ko if: Sens() == 2 -->
            <span data-bind="text: _montant" style="font-weight:bold;float:right" />
            <!-- /ko -->
        </td>
        <td>
            <span data-bind="text: '['+_carte()._type().Libelle()+'] ' + _carte().Numero()" style="font-weight:bold" />
        </td>
    </tr>
</script>

@Scripts.Render("~/Scripts/Operations.js")
